/**
 * Задача "Степени"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 *Корректное решение
 */

import java.io.*;
import java.util.*;
import java.math.*;

public class pow_rg implements Runnable {

	public static void main(String[] args) {
		new Thread(new pow_rg()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	Long nextLong() {
		return Long.parseLong(nextToken());
	}

	void myAssert(boolean u, String message) {
		if (!u){
			throw new Error(message);
		}
	}

	String FNAME = "pow";

	int k;
	BigInteger num;
	BigInteger numb;

	BigInteger less(int pow) {
		BigInteger left = BigInteger.ZERO, right = new BigInteger(numb
				.toString());
		while (right.subtract(left).compareTo(BigInteger.ONE) > 0) {
			BigInteger mid = right.add(left).shiftRight(1);
			if (mid.pow(pow).compareTo(numb) >= 0) {
				right = mid;
			} else
				left = mid;
		}
		return left;
	}

	BigInteger more(int pow) {
		BigInteger left = BigInteger.ZERO, right = new BigInteger(num
				.toString());
		while (right.subtract(left).compareTo(BigInteger.ONE) > 0) {
			BigInteger mid = right.add(left).shiftRight(1);
			if (mid.pow(pow).compareTo(num) < 0) {
				left = mid;
			} else
				right = mid;
		}
		return left;
	}

	private void solve() throws IOException {
		k = nextInt();
		myAssert(k > 0 && k < 30, "Wrong K value");
		if (k == 1) {
			out.print(11);
			return;
		}
		BigInteger ans = BigInteger.ZERO;
		String s = "1";
		for (int i = 0; i < k; i++) {
			s += '0';
		}
		num = new BigInteger(s);
		s = "1";
		for (int i = 0; i < k - 1; i++) {
			s += '0';
		}
		numb = new BigInteger(s);
		// out.println(num + " " + numb);
		int maxpow = 100;
		for (int i = 1; i <= maxpow; i++) {
			BigInteger p = more(i), t = less(i);
		//	out.println(t + " " + p);
			ans = ans.add(p).subtract(t);
		}
		out.print(ans);
	}
}

